(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	/**
	 * Youtube Data Feed Setting
	 */ 
	$(document).on('click', '#youtube_feed_settings_save', function(e) {
        e.preventDefault();
        var gl_api_key = $('#gl_api_key').val();
        var gl_youtube_channel_id = $('#gl_youtube_channel_id').val();
        if(gl_api_key == ''){
           $('#api_key_error').html('<span style="color:red;">Please Enter Api Key</span>');
           return false;
        }else{
           $('#api_key_error').html(''); 
        }
        if(gl_youtube_channel_id == ''){
           $('#api_youtube_channel_error').html('<span style="color:red;">Please Enter Youtube Channel ID</span>');
           return false;
        }else{ 
           $('#api_key_error').html(''); 
        }
        $('.youtube_setting_massage').html('<span>wait..</span>')
        let data = {};
        data['action'] = 'youtube_auto_post_feed_api_settings_save';
        data['gl_api_key'] = gl_api_key;
        data['gl_youtube_channel_id'] = gl_youtube_channel_id;
        $.ajax({
            type: 'post',
            url: youtube_auto_post_ajax_path.url,
            data: data,
            success: function(response) {
                 var res = jQuery.parseJSON(response);
                 console.log(res);
                 if(res.status =='success'){
                    $('.youtube_setting_massage').html('<span style="color:green;">'+res.massage+'</span>');
                 }else{
                    $('.youtube_setting_massage').html('<span style="color:red;">SomeThing Went Wrong!</span>'); 
                 }
                setTimeout(() => {
                    $('.youtube_setting_massage').html(''); 
                }, 500);
                
            }
        });
	});
    /**
	 * Youtube Upload File Client ID And Secret Key  Setting
	 */
    $(document).on('click', '#youtube_up_settings_save', function(e) {
        e.preventDefault();
        var gl_client_id = $('#gl_client_id').val();
        var gl_secret_key = $('#gl_secret_key').val();
        
        if(gl_client_id == ''){
           $('#gl_client_error').html('<span style="color:red;">Please Enter Client ID</span>'); 
           return false;
        }else{
           $('#gl_client_error').html(''); 
        }
        if(gl_secret_key == ''){
           $('#gl_secret_error').html('<span style="color:red;">Please Enter Secret Key</span>'); 
           return false;
        }else{
          $('#gl_secret_error').html('');   
        } 
        $('.youtube_setting_massage').html('<span>wait..</span>')
        let data = {};
        data['action'] = 'youtube_auto_post_uplod_api_settings_save';
        data['gl_client_id'] = gl_client_id;
        data['gl_secret_key'] = gl_secret_key;
        $.ajax({
            type: 'post',
            url: youtube_auto_post_ajax_path.url,
            data: data,
            success: function(response) {
                var res = jQuery.parseJSON(response);
                if(res.status =='success'){
                    $('.youtube_setting_massage').html('<span style="color:green;">'+res.massage+'</span>');
                }else{
                    $('.youtube_setting_massage').html('<span style="color:red;">SomeThing Went Wrong!</span>'); 
                }
                setTimeout(() => {
                    $('.youtube_setting_massage').html(''); 
                }, 500);
                
            }
        });
        
    });
    
})( jQuery );
