<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://https://codecanyon.net/search/kamleshyadav
 * @since      1.0.0
 *
 * @package    Youtube_Auto_Post
 * @subpackage Youtube_Auto_Post/admin/partials
 */
?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="ap-page-wrapper">
    <h1 class="ap-page-title"><?php echo esc_html__('YouTube Auto Post Settings','youtube-auto-post'); ?></h1>
    <div class="ap-page-content">
        <div class="ap-post-wrap">
            <!-- Header -->
            <div class="ap-post-head"></div>
            <!-- Body -->
            <div class="ap-post-body">
                <div class="ap-post-form-wrap">
                 <div class="youtube_setting_massage"></div>
                 <form>
                 <?php 
                 $gl_api_key = get_option('gl_api_key');
                 $gl_client_id = get_option('gl_client_id');
                 $gl_secret_key = get_option('gl_secret_key');
                 $gl_youtube_channel_id = get_option('gl_youtube_channel_id');
                 ?>
                 <div class="ap-row">
                    <div class="ap-col-50">
                        <div class="ap-col-50">
                            <div class="ap-post-shortcode-wrap">
                                <h4 class="ap-subtitle">
                                  <?php echo esc_html__('Youtube change display shortcode','youtube-auto-post'); ?>
                                </h4>
                                <div class="ap-shortcode-box">
                                  <span><?php echo esc_html__('[youtube_auto_post_display]','youtube-auto-post'); ?></span>
                                </div>
                            </div>
                        </div>
                        <div class="ap-input-box">
                            <h4 class="ap-subtitle">
                            <?php echo esc_html__("Set API's Data","youtube-auto-post"); ?></h4>
                            <div class="ap-input-field">
                                <label for="gl_api_key"><?php echo esc_html__('Api key','youtube-auto-post'); ?></label>
                                <input type="text" value="<?php echo esc_attr($gl_api_key); ?>" name="gl_api_key" id="gl_api_key" placeholder="<?php echo esc_html__('Please Enter Google Api Key','youtube-auto-post'); ?>" />
                                <p id="api_key_error"></p>
                                <span><?php echo esc_html__('Helpful link to know how to get google api key','youtube-auto-post'); ?> <a href="<?php echo esc_url('https://console.cloud.google.com/'); ?>" target="<?php echo esc_attr__('_blank','youtube-auto-post'); ?>"><?php echo esc_html__('Click Here','youtube-auto-post'); ?></a></span>
                            </div>
                            <div class="ap-input-field">
                                <label for="gl_api_key"><?php echo esc_html__('Youtube Channel ID','youtube-auto-post'); ?></label>
                                <input type="text" value="<?php echo esc_attr($gl_youtube_channel_id); ?>" name="gl_youtube_channel_id" id="gl_youtube_channel_id" placeholder="<?php echo esc_html__('Please Enter Youtube Channel ID','youtube-auto-post'); ?>" />
                                <p id="api_youtube_channel_error"></p> 
                                <span><?php echo esc_html__('Helpful link to know on how to get YouTube Channel ID','youtube-auto-post'); ?> <a href="<?php echo esc_url('https://www.youtube.com/'); ?>" target="<?php echo esc_attr__('_blank','youtube-auto-post'); ?>"><?php echo esc_html__('Click Here','youtube-auto-post'); ?></a></span>
                            </div>
                            <div class="ap-btn-wrap">
                              <a href="javascript:void(0);" class="ap-btn" id="youtube_feed_settings_save"><?php echo esc_html__('Save','youtube-auto-post'); ?></a>
                            </div>
                            </div>
                         </div>
                         <div class="ap-col-50">
                            <div class="ap-col-50">
                                <div class="ap-post-shortcode-wrap">
                                    <h4 class="ap-subtitle">
                                      <?php echo esc_html__('Youtube upload form shortcode','youtube-auto-post'); ?>
                                    </h4>
                                    <div class="ap-shortcode-box">
                                       <span><?php echo esc_html__('[youtube_upload_form]','youtube-auto-post'); ?></span>
                                    </div>
                                </div>
                            </div>
                            <div class="ap-input-box">
                                <h4 class="ap-subtitle"><?php echo esc_html__("Get API's Data","youtube-auto-post"); ?></h4>
                                <div class="ap-input-field">
                                    <label for="gl_client_id"><?php echo esc_html__('Client ID','youtube-auto-post'); ?></label>
                                    <input type="text" value="<?php echo esc_attr($gl_client_id); ?>" name="gl_client_id" id="gl_client_id" placeholder="<?php echo esc_attr__('Please Enter Google Client ID','youtube-auto-post'); ?>" />
                                    <p id="gl_client_error"></p>
                                    <span><?php echo esc_html__('Helpful link to know how to get google Client ID','youtube-auto-post'); ?> <a href="<?php echo esc_url('https://console.cloud.google.com/'); ?>" target="<?php echo esc_attr__('_blank','youtube-auto-post'); ?>"><?php echo esc_html__('Click Here','youtube-auto-post'); ?></a></span>
                                </div>
                                <div class="ap-input-field"> 
                                    <label for="gl_secret_key"><?php echo esc_html__('Secret Key','youtube-auto-post'); ?></label>
                                    <input type="text" name="gl_secret_key" id="gl_secret_key" value="<?php echo esc_attr($gl_secret_key); ?>" placeholder="<?php echo esc_attr__('Please Enter Google Secret Key','youtube-auto-post'); ?>" />
                                    <p id="gl_secret_error"></p>
                                    <span>
                                    <?php echo esc_html__('Helpful link to know how to get google Secret key','youtube-auto-post'); ?> <a href="<?php echo esc_url('https://console.cloud.google.com/'); ?>" target="<?php echo esc_attr__('_blank','youtube-auto-post'); ?>"><?php echo esc_html__('Click Here','youtube-auto-post'); ?></a>
                                    </span>
                                    <?php 
                                    $redirectUri = home_url('?redirect_url=autopost'); 
                                    ?>
                                </div>
                                <div class="ap-btn-wrap">
                                  <a href="javascript:void(0);" class="ap-btn" id="youtube_up_settings_save"><?php echo esc_html__('Save','youtube-auto-post'); ?></a>
                                </div>
                            </div>
                         </div>
                         <div class="ap-note-wrap">
                            <div class="ap-input-field"> 
                                <p>
                                <?php echo esc_html__('Authorised redirect URL: ','youtube-auto-post'); ?> 
                                <span class="ap-redirect-url">
                                  <?php echo esc_url($redirectUri); ?>
                                </span>
                                </p>
                            </div>
                            <div class="ap-auth-url">
                                <?php 
                                $googleOauthURL = $client->createAuthUrl(); 
                                $get_save_accesstoken = get_option('youtube_upload_accesstoken');
                                if(!empty($googleOauthURL)):
                                ?><a href="<?php echo esc_url($googleOauthURL); ?>" class="ap-btn" target="_blank"><?php echo esc_html__('App Authenticator','youtube-auto-post'); ?></a>
                                <?php
                                endif;
                                if(!empty($get_save_accesstoken)):?>
                                <span id="ap_verify_successfully"><?php echo esc_html__('App Verified','youtube-auto-post'); ?></span>
                                <?php endif; ?>
                            </div>
                        </div>
                     </div>
                  </form>
                </div>
            </div>
            <!-- Footer -->
            <div class="ap-post-foot">
              <p><?php echo esc_html__('Copyright 2022 &copy; All Right Reserved YouTube Auto Post','youtube-auto-post'); ?></p>
            </div>
        </div>
    </div>
</div>