(function( $ ) {
	'use strict';
    /**
	 * File upload via Ajax
	 */ 
	$(document).on('submit','#youtube_video_upload', function(e){
        e.preventDefault(); 
        $('.ap-progress').show();
        var file_data = $('#video_files').prop('files')[0];
        var file_data_image = $('#video_image_files').prop('files')[0];
        var title_data = $('#video_title').val();
        var descr_data = $('#video_description').val();
        var tags_data = $('#video_tags').val();
        var privacy_data = $('#video_privacy').val();
        var form_data = new FormData();
        form_data.append('video_file', file_data);
        form_data.append('video_image_file', file_data_image);
        form_data.append('video_title', title_data);
        form_data.append('video_description', descr_data);
        form_data.append('video_tags', tags_data);
        form_data.append('video_privacy', privacy_data);
        form_data.append('action', 'youtube_auto_post_youtube_video_file');
        $.ajax({
            xhr: function() {
                var xhr = new window.XMLHttpRequest();
                xhr.upload.addEventListener("progress", function(evt) {
                    if (evt.lengthComputable) {
                        var percentComplete = ((evt.loaded / evt.total) * 100);
                        $(".ap-progress-bar").width(percentComplete.toFixed(2) + '%');
                        $(".ap-progress-bar").html(percentComplete.toFixed(2)+'%');
                    }
                }, false);
                return xhr;
            },
            type: 'POST',
            url:  youtube_auto_post_ajax_path.url,
            data: form_data,
            contentType: false,
            cache: false,
            processData:false,
            beforeSend: function(){
               $(".ap-progress-bar").width('0%');
            },
            error:function(){
                $('#uploadStatus').html('<p style="color:#EA4335;">File upload failed, please try again.</p>');
            },
            success: function(resp){
                console.log(resp);
                var res = jQuery.parseJSON(resp);
                if(res.status == 'true'){
                   $('#youtube_video_upload')[0].reset();
                   $('#uploadStatus').html('<p style="color:#28A74B;">'+res.massage+'</p>');
                }else{
                   $('#uploadStatus').html('<p style="color:#EA4335;">'+res.massage+'</p>');
                }
                
            }  
        });
    });
    
    /**
     * File Type Upload
     *
     */
    $(document).on("change", "#youtube_video_upload .ap-file-upload-field", function(){ 
        $(this).parent(".ap-file-upload-wrapper").attr("data-text", $(this).val().replace(/.*(\/|\\)/, '') );
    });
   
    /**
     * Video File Vailidetion For Upload Check
     */ 
    $(document).on('change',".video_file_vailidetion",function(){
        var allowedTypes = ['video/mp4','video/avi','video/mpeg','video/mpg','video/mov','video/wmv','video/rm','video/quicktime'];
        var file = this.files[0];
        var fileType = file.type;
        if(!allowedTypes.includes(fileType)){
            $('.video-error-massage').html('<span style="color:red;">Please select a valid file (mp4/avi/mpeg/mpg/mov/wmv/rm/quicktime).</span>');
            $("#video_file").val('');
            return false;
        }else{
           $('.video-error-massage').html(''); 
        } 
    });
    /**
     * Image File Vailidetion For Upload Check
     */ 
    $(document).on('change',".image_file_vailidetion",function(){
        var allowedTypes_image = ['image/png, image/gif, image/jpeg'];
        var file_image = this.files[0];
        var fileType_image = file_image.type;
        console.log(fileType_image); 
        if(allowedTypes_image.includes(fileType_image)){
            $('.image-error-massage').html('<span style="color:red;">Please select a valid file (image/png, image/gif, image/jpeg).</span>');
            $("#video_image_files").val('');
            return false;
        }else{
           $('.image-error-massage').html(''); 
        } 
    });
    /**
     * Perform AJAX login on form submit
     */
    $(document).on('submit','form#login',function(e){
        e.preventDefault();
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: youtube_auto_post_ajax_path.url,
            data: { 
                'action': 'youtube_auto_post_login_form', 
                'username': $('form#login #user_name').val(), 
                'password': $('form#login #user_password').val(), 
                'security': $('form#login #security').val()
                },
            success: function(data){
                if(data.loggedin == true){
                    $('form#login p.status').html("<span style='color:green;'>"+data.message+"</span>");
                    location.reload();
                }else{
                    $('form#login p.status').html("<span style='color:red;'>"+data.message+"</span>");
                }
            }
        });
        
    });
   
})( jQuery );