<?php
/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://https://codecanyon.net/search/kamleshyadav
 * @since      1.0.0
 *
 * @package    Youtube_Auto_Post
 * @subpackage Youtube_Auto_Post/public/partials
 */
$gl_api_key = get_option('gl_api_key');
$channel_id = get_option('gl_youtube_channel_id');
$Max_Results = 10; 
// Get videos from channel by YouTube Data API 
$apiData = file_get_contents('https://www.googleapis.com/youtube/v3/search?order=date&part=snippet&channelId='.esc_attr($channel_id).'&maxResults='.esc_attr($Max_Results).'&key='.esc_attr($gl_api_key).''); 
if($apiData){ 
    $videoList = json_decode($apiData); 
}else{ 
    echo esc_html__('Invalid API key or channel ID','youtube-auto-post');; 
}
if(!empty($videoList->items)){ 
    foreach($videoList->items as $item){ 
        /** 
         * Embed video
         */ 
        if(isset($item->id->videoId)){ 
            echo '<div class="ap-video-box"> 
                       <iframe src="'.esc_url("https://www.youtube.com/embed/".$item->id->videoId).'" frameborder="0" allowfullscreen></iframe> 
                       <div class="ap-video-content">
                            <h4>'. esc_html($item->snippet->title).'</h4> 
                            <p>'. esc_html($item->snippet->description).'</p>
                       </div> 
                 </div>'; 
        } 
    } 
}else{ 
    echo '<p class="error">'.esc_html($apiError).'</p>'; 
}