<?php
/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://https://codecanyon.net/search/kamleshyadav
 * @since      1.0.0
 *
 * @package    Youtube_Auto_Post
 * @subpackage Youtube_Auto_Post/public/partials
 */
// OAUTH Configuration
$user_id = get_current_user_id();
if(!empty($user_id)){
?> 
<!-- Upload form -->
<div class="ap-post-form-wrapper">
    <div id="uploadStatus"></div>
    <form id="youtube_video_upload" method="post" action="" class="form" enctype="multipart/form-data">
        <h4 class="ap-form-title"><?php echo esc_html__('Youtube Upload Form','youtube-auto-post'); ?></h4>
        <div class="ap-form-group">
            <label for="video_files"><?php echo esc_html__('Video File:','youtube-auto-post'); ?></label>
            <div class="ap-file-upload-wrapper" data-text="<?php echo esc_attr__('Select Video','youtube-auto-post'); ?>">
              <input name="video_file" type="file" id="video_files" class="ap-form-control video_file_vailidetion ap-file-upload-field"  accept="<?php echo esc_attr__('video/mp4,video/avi,video/mpeg,video/mpg,video/mov,video/wmv,video/rm,video/quicktime','youtube-auto-post'); ?>" required>
            </div>
            <div class="video-error-massage"></div>
        </div>
        <div class="ap-form-group">
            <label for="video_image_files"><?php echo esc_html__('Video Image File:','youtube-auto-post'); ?></label>
            <div class="ap-file-upload-wrapper" data-text="<?php echo esc_attr__('Video Image File','youtube-auto-post'); ?>">
                <input name="video_image_files" type="file" id="video_image_files" class="ap-form-control image_file_vailidetion ap-file-upload-field" accept="<?php echo esc_attr__('image/png, image/gif, image/jpeg','youtube-auto-post'); ?>" required>
            </div>
            <div class="image-error-massage"></div>
        </div>
        <div class="ap-form-group">
            <label for="video_title"><?php echo esc_html__('Video Title:','youtube-auto-post'); ?></label>
            <input type="text" name="video_title" id="video_title" class="ap-form-control" required>
        </div>
        <div class="ap-form-group">
            <label for="video_files"><?php echo esc_html__('Video Tags:','youtube-auto-post'); ?></label>
            <input type="text" name="video_tags" id="video_tags" >
        </div>
        <div class="ap-form-group">
           <label for="video_privacy"><?php echo esc_html__('Privacy Status:','youtube-auto-post'); ?></label>
           <select name="video_privacy" id="video_privacy" class="ap-form-control">
            <option value="public">
            <?php echo esc_html__('Public','youtube-auto-post'); ?></option>
            <option value="private">
            <?php echo esc_html__('Private','youtube-auto-post'); ?></option>
           </select>
        </div>
        <div class="ap-form-group">
            <label for="video_description"><?php echo esc_html__('Video Description:','youtube-auto-post'); ?></label>
            <textarea name="video_description" id="video_description" class="ap-form-control"></textarea>
        </div>
        <div class="ap-form-group">
            <button type="submit" class="ap-btn" name="submit" ><?php echo esc_attr__('Upload','youtube-auto-post'); ?></button>
        </div>
    </form>
    <!-- Progress bar -->
    <div class="ap-progress">
        <div class="ap-progress-bar"></div>
    </div>
</div>
<?php
}else{
  echo do_shortcode('[loginform_display]');
}